/// <reference types="react" />
import { ssr_page_context_value } from '@genstackio/react-contexts/lib/types';
import { document_body_options, document_head_options } from '@genstackio/react-types';
export declare function Document({ helmet, html, extractor, context, clientContext, children, bodyOptions, headOptions, }: DocumentProps): JSX.Element;
export interface DocumentProps {
    helmet: any;
    html: string;
    children?: any;
    context: ssr_page_context_value;
    clientContext?: ssr_page_context_value;
    extractor?: any;
    bodyOptions?: document_body_options;
    headOptions?: document_head_options;
}
export default Document;
//# sourceMappingURL=Document.d.ts.map